<?php header('Content-Type: text/html; charset=windows-1251'); ?>
<html><head><meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<title>Модерация комментариев </title>
</head>
<?php
if (file_exists(getcwd ( )."/otd/2.txt"))
{
echo '<body leftMargin=0 id=bod topMargin=0  style="overflow:hidden;background:silver;">';
echo '<table id=monoz  border=0 style="width:100%;height:100%;
z-index:3;position:absolute;top:0px;left:0px;">
<tr ><td width=30%>&nbsp;</td><td width=30%  valign=center align=center>
<table border=0 width=400 style="background:white" >
<tr><td><IMG height=60 border=0 src="d~e~f/pas.jpg"></td>
<td  height=30px ><center><b style="color:red" >ВНИМАНИЕ !'.
'</b></center><br>
<ol>
<li>АДМИНИСТРАТОР закрыл сайт для проведения работ по его реорганизации !
<li>Сайт будет доступен после завершения работ!
<li>Для получения сведений обратись к АДМИНИСТРАТОРУ !
<li>Закрой сайт
<li>Открой сайт позже !
</ol>
</td></tr>
</table>
</td><td width=30%>&nbsp;</td></tr></table></body></html>';
die;
}
?>


<body background="d~e~f/bkg.gif">
<?php
include "f.php";   //  вставим функции перекодировки  имен файлов и удаления папки
if (isset($_GET['utf8']))
{$utf8=$_GET['utf8'];}
else
{$utf8="";}

if (isset ($_REQUEST['nam']))
{$nam=$_REQUEST['nam'];}
else
{ $nam=$_GET['nam'];} 
if (isset ($_REQUEST['site']))
{$site=$_REQUEST['site'];}
else
{ $site=$_GET['site'];} 
if  (strpos($site,'/contents/')>0)      // если это   для  внешней страницы
{
//$ppoz=strrpos($fol,'/');
list($a1,$a2,$a3,$a4,$a5)=explode("/",$site);  // признаки показа сбросим всем
$fol=$a1."/".$a2."/".$a3;

}
else
{
$fol=str_replace(".htm","",$site);   // имя папки из имени страницы 
}
?>

<form id="form"  method="POST" enctype="multipart/form-data" action="modtc.php
<?php echo '?site='.$site.'&utf8='.$utf8.'&nam='.$nam;?>
">
<table border="0" width=100% height=100%><tbody>
<TR><td valign=top>
<table border="0" width=100%  height=100%><tbody><TR><td valign=top>
<table border="1" width=100% style="background:#eee8aa"><tbody>
<TR>
<td valign=top>
<THEAD style="">
<TR>
<TH width=20px>N</TH>
<TH><font style="background:#f5f5dc;width:100%" title="Ip - адрес автора записи; Характер - картинка отражающая характер записи; Дата - дата ввода записи; Имя - имя автора записи  "
>Ip&nbsp;&nbsp;Характер&nbsp;&nbsp;Дата&nbsp;&nbsp;Имя<br></font>
<font style="width:100%;background:white">
Текст</TH>
<TH width=20px title="Установи меня, если хочешь показать коментарий на сайте, или сбрось, если хочешь скрыть, после всех действий щелкни 'Выполнить'." valign=center>v</TH>
<TH width=20px title="Установи меня в строках коментария которые хочешь удалить, после этого щелкни 'Выполнить'." valign=center>x</TH>
<TH width=10px >&nbsp;</TH>
</TR></THEAD></table>


<DIV id=k style="OVERFLOW: scroll;  height:90%; background:#fffacd" align=left>
<table border="1" width=100% style=""><tbody>
<TBODY>

<?php

$os=""; 						  //  В ЭТУ переменную копим сообщения об ошибках
if (isset ($_REQUEST['hid']))    // если щелкнул ВЫПОЛНИТЬ
{// Просмотрим все переданные данные из формы и выберем только имена  файлов на удаление начало ключа на uu
// на показ - начало ключа  pp
$l = file(getcwd().'/pages/'.$fol.'/tc/tc.txt');  // книга вход

foreach ($l as $li => $lin)  
{
if (substr(trim($lin),0,1)!="*")  // если строка это не  комментарий
{list($ip,$ka,$im,$d,$t,$p)=explode('//',$l[$li]);  // признаки показа сбросим всем
$l[$li]=$ip.'//'.$ka.'//'.$im.'//'.$d.'//'.$t.'//-'."\r\n";
}
}
foreach ($_REQUEST as $i => $z)  //  просмотрим все что отмечено на удаление
  {
if (substr($i,0,2)=="uu")  // если запись на удаление
  {
   $k=trim(substr($i,2));
   $l[$k]="uu"; //  признак удаления
  }
else
 {if (substr($i,0,2)=="pp") // если запись показать/скрыть
 {
 $k=trim(substr($i,2));
 list($ip,$ka,$im,$d,$t,$p)=explode('//',$l[$k]);
 if ($p!="+") // если признака показа нет в таблице но есть в форме
  {$l[$k]=$ip.'//'.$ka.'//'.$im.'//'.$d.'//'.$t.'//+'."\r\n";
  //echo $l[$k];
  } //  признак  непоказа заменим на признак показа
 }
 }
 }    //
// измененный массив в таблицу  и для вставки
$w=fopen(wu(getcwd ( ).'/pages/'.$fol.'/tc/tc.txt',$utf8), 'w') or exit; // книга на запись
$wh=fopen(wu(getcwd ( ).'/pages/'.$fol.'/tc/tc.htm',$utf8), 'w') or exit; // книга на запись
fwrite($wh,'<h2 style="background:silver;width:100%;color:white" align=center>Комментарии</h2><table border=0 width=100%><tbody>');
$ii=1;
  foreach ($l as $li => $lin)  
  {  
  if (trim($lin)=="uu") // удаленную строку пропускаем
  {}
  else
  {
fwrite($w,$lin);
if (substr($lin,0,1)!="*")  // если строка это комментарий
{
list($ip,$ka,$im,$d,$t,$p)=explode('//',$l[$li]);
if (trim($p)=="+")  // если показать
{

$ww='<tr style="background:#f5f5dc;">
<td width=10px><b>'.trim($ii++).'</b></td>
<td width=10px><img src="../d~e~f/'.$ka.'"></td>
<td width=70px><b>'.$d.'</b></td>
<td width=85%><b>'.$im. '</b></td></tr><tr><td></td><td colspan=3>'.str_replace('  ','&nbsp;&nbsp;',$t)."</td></tr>";


if  (strpos($site,'/contents/')>0)      // если это   для  внешней страницы
{
 $ww=str_replace('../','../../../../',$ww);	
}
fwrite($wh,$ww);
}
}
  } // остальные пишем
  }
fclose($w);  // закроем файл  книги
fwrite($wh,"</tbody></table>");
fclose($wh);  // закроем файл  книги
}
if (isset ($_REQUEST['de']))    // если щелкнул удалить все 
{
$w=fopen(wu(getcwd ( ).'/pages/'.$fol.'/tc/tc.txt',$utf8), 'w') or exit; // книга на запись
$wh=fopen(wu(getcwd ( ).'/pages/'.$fol.'/tc/tc.htm',$utf8), 'w') or exit; // книга на запись
fclose($w);  // закроем файл  книги
fclose($wh);  // закроем файл  книги

}
//----------------------------------------------------------------------------------------
// покажем содержимое
//----------------------------------------------------------------------------------------
$mf=wu(getcwd().'/pages/'.$fol.'/tc/tc.txt',$utf8);
$net=true;
if (file_exists($mf))  // если файл содержимого существует
{
$net=false;
$l = file($mf);
// Осуществим проход массива и выведем номера строк и их содержимое
$ii=1;
foreach ($l as $li => $lin)
{ 
echo "<TR>";
 if (substr($lin,0,1)=="*")  // если строка это комментарий
{}
 else
 { 
// дата, имя, текст, признак
list($ip,$ka,$im,$d,$t,$p)=explode('//',$lin);
echo '<td width=20px>'.$ii++.'</td>';
echo '<td style="background:white"><b><font style="background:#f5f5dc;width:100%">';
echo trim($ip).'&nbsp';
echo '<img src="d~e~f/'.trim($ka).'">'.'&nbsp;';
echo trim($d).'&nbsp;';
echo trim(str_replace('  ','&nbsp;&nbsp;',$im)).'</font></b>&nbsp;';
echo trim(str_replace('  ','&nbsp;&nbsp;',$t));
echo "</td>";
echo '<td width=20px align=center >';
 if (substr($p,0,1)=="+") 
 {echo '<input type="checkbox"   name="pp'.$li.'" checked>';}
else
 {echo '<input type="checkbox"   name="pp'.$li.'">';}
 echo '<td width=20px align=center>';
 echo '<input type="checkbox"   name="uu'.$li.'">';
 echo '</td>';
 }
 }
 }
?>
</td></tr></tbody></table>
</div></td>
<td valign=center width=300px>
<a  href="help/10.htm#101" target=_blank>&nbsp;Справка&nbsp;</a>



<br><br> 
<center><font size=4>МОДЕРАЦИЯ КОММЕНТАРИЕВ СТРАНИЦЫ</font><br>
<u href=# onclick=q1("<?php 
if  (strpos($site,'/contents/')>0)      // если это   для  внешней страницы
{
echo "pages/".$fol."/".str_replace(".htm",".php",$a5); 
}
else
{
echo "pages/".$fol.'.php'; 
}

?>
")><b title="Для просмотра опубликованной страницы вернись в конструктор и щелкни 'ПОСМОТРЕТЬ' !">
<?php  echo rtr($nam); ?> </u></center><br><br>
<b>
<li>В таблице показываются все поступившие записи !
<li>Выбери записи для показа щелчком в столбце "V" 
<li>Выбери записи для удаления щелчком в столбце "X"
<li>Для показа и/или удаления щелкни кнопку 
<br>
<center><input type="submit" value="Выполнить" name="hid" <?php if ($utf8=="" or $net) {echo "disabled";} ?>></center>
<br>
<li>Для удаления всех записей щелкни кнопку<br>
<center><input type="submit" value="Удалить все" name="de" <?php if ($utf8=="" or $net) {echo "disabled";} ?>></center> 

<input type="hidden" name="utf8" value="<?php echo $utf8;  ?>">
<input type="hidden" name="site" value="<?php echo $site;  ?>">
<input type="hidden" name="nam" value="<?php echo $nam;  ?>">
</form>
</b>
</td>
</tr></tbody></table>
<a id=per target=_blank style="visibility:hidden" href=#>+++</a>

</body>
<script language="VBS">
function oh(y)
 set hhh=window.open("help/help/help/help/справка.php#" & y ,"hhh","")
 on error resume next
 hhh.location.hash= y
 hhh.focus
end function

</script>


 <script type="text/javascript">
 function q1(jj)
{
return
devdate=new Date();
var dy="";
// Получить год(из 4 цифр)
dy=devdate.getFullYear()
var dm="";
//Получить месяц, от 0 до 11.
dm=devdate.getMonth()+1
var dc="";
//Получить число месяца, от 1 до 31.
dc=devdate.getDate();
var cd="";
//номер дня в неделе. Неделя  начинается с воскресенья 0(воскресенье) до 6(суббота).
dd=devdate.getDay();
var dp=""
dp=dy+"-"+dm+"-"+dc+"-"+dd
obj=document.all["per"];

if (jj.indexOf("/contents/")>=0)
{
 obj.href=jj+"?td="+ dp
 }
else

{
obj.href=jj+"?td="+ dp
}
obj.click()
}

</script>


</html>